%define with_dbus 1

Name:           liferea
Version:        1.0.11
Release:        1%{?dist}
Summary:        An RSS/RDF feed reader

Group:          Applications/Internet
License:        GPL
URL:            http://liferea.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkhtml2-devel mozilla-devel
BuildRequires:  GConf2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%if %{with_dbus}
BuildRequires:	dbus-devel
%endif

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
Liferea (Linux Feed Reader) is an RSS/RDF feed reader. 
It's intended to be a clone of the Windows-only FeedReader. 
It can be used to maintain a list of subscribed feeds, 
browse through their items, and show their contents 
using GtkHTML.


%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-schemas-install	\
%if %{with_dbus}
	--enable-dbus=yes
%else
	--enable-dbus=no
%endif
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora			\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  %{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README ChangeLog
%{_mandir}/man1/%{name}.1.gz
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-bin
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so*


%changelog
* Thu May  4 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.11-1
- Update to 1.0.11.

* Wed Apr  5 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.9-2
- Fix typo.

* Wed Apr  5 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.9-1
- Update to 1.0.9.

* Sat Mar 18 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.8-1
- Update to 1.0.8.
- Drop mozilla-lib64 patch, fixed upstream.

* Sat Mar 18 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.7-1
- Update to 1.0.7.
- Add patch to find mozilla on x86_64
- Fix gconf scriptlets.
- Remove unnecessary BR (zlib-devel & libxml2-devel).

* Thu Feb  2 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.3-1
- Update to 1.0.3.

* Thu Jan 26 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.2-1
- Update to 1.0.2.

* Mon Jan 16 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.1-1
- Update to 1.0.1.

* Fri Dec 23 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-1
- Update to 1.0.

* Fri Nov 18 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-0.1.rc4
- Update to 1.0-RC4.

* Fri Nov  4 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-0.1.rc3
- Update to 1.0-RC3.

* Mon Oct 10 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-0.1.rc2
- Update to 1.0-RC2.

* Tue Oct  4 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-0.1.rc1
- Update to 1.0-RC1.

* Sun Sep  4 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.7b-1
- Update to 0.9.7b.

* Tue Aug 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.7a-1
- Update to 0.9.7a.

* Mon Aug 15 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.6-1
- Update to 0.9.6.

* Sun Jul 31 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.5-1
- Update to 0.9.5.

* Fri Jul 22 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.4-1
- Update to 0.9.4.

* Thu Jul  7 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.3-1
- Update to 0.9.3.
- Enable dbus.
- Add dist tag.

* Thu May 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.2-1
- Update to 0.9.2
- Don't enable d-bus since old API is used.

* Sat Mar 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9.1-1
- Updated to 0.9.1.
- Drop epoch: 0.

* Tue Jan 18 2005 Brian Pepple <bdpepple@gmail.com> - 0:0.9.0-0.1.b
- Updated to 0.9.0b.
- Remove seperate desktop file.

* Fri Jan 14 2005 Brian Pepple <bdpepple@gmail.com> - 0:0.9.0-0.fdr.1
- Updated to 0.9.0.

* Wed Jan 12 2005 Brian Pepple <bdpepple@gmail.com> - 0:0.6.4-0.fdr.1.b
- Updated to 0.6.4b.

* Mon Nov  1 2004 Brian Pepple <bdpepple@ameritech.net> - 0:0.6.1-0.fdr.1
- Updated to 0.6.1.
- Added %exclude *.la
- Removed liferea-0.5.3c-fixes.patch, not needed anymore.
- Removed liferea-0.5.3b-mozillahome.patch, not needed anymore.

* Fri Sep 24 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.3-0.fdr.4.c
- Sync with Mozilla 1.7.3 update for FC2.

* Fri Sep 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.3-0.fdr.3.c
- Add memory leak fix + updates from 0.5.3c
  (tarball would require autoreconf).

* Fri Aug 27 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.3-0.fdr.2.b
- Add BR mozilla-devel to build Mozilla plugin.
- Patch liferea script to support FC1/FC2 Mozilla homes.

* Sat Aug 21 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.3-0.fdr.1.b
- Update to 0.5.3b (bug-fixes).
- Remove version from libxml2 requirement (2.4.1 would be sufficient).

* Thu Aug 19 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.3-0.fdr.1
- Update to 0.5.3.
- Add schemas un-/install in preun/post.
- Update desktop file.

* Wed Aug  4 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.2-0.fdr.1.c
- Add BR zlib-devel.
- Update desktop file.
- Adhere to versioning guidelines.

* Wed Aug 04 2004 Daryll Strauss <daryll@daryll.net> - 0:0.5.2c-0.fdr.1
- Updated to 0.5.2c

* Sat May 22 2004 Brian Pepple <bdpepple@ameritech.net> - 0:0.4.9-0.fdr.1
- Updated to 0.4.9
- Removed liferea_browser.patch.  Shouldn't be needed anymore.

* Thu May  6 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.8-0.fdr.1
- Updated to 0.4.8.
- Modified liferea_browser.patch to work with new version.
- Removed liferea.png that fedora.us provided, since package now supplies it's own.

* Fri Apr 30 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.5.d
- Applied browser.patch from Michael Schwendt (#1478)

* Wed Apr 28 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.4.d
- Updated to 0.4.7d.
- Removed patch, since it didn't fix browser problem.

* Fri Apr 23 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.4.c
- Add patch to use 'gnome-open %s' instead of 'mozilla %s'.

* Tue Apr 20 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.3.c
- Updated to 0.4.7c

* Sun Apr 11 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.3.b
- Updated to 0.4.7b
- Removed %post/postun [#1478]

* Sun Apr 11 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.2
- Added liferea-bin to files.

* Fri Apr  2 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.7-0.fdr.1
- Updated to 0.4.7.
- Added %post & %postun
- Added %{_libdir} files

* Tue Mar 30 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.4.6-0.fdr.1.e
- Updated to 0.4.6e
- Added gettext build requirement

* Sun Jan 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.6-0.fdr.1.b
- Updated to 0.4.6b.

* Sun Nov 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.4-0.fdr.2
- BuildReq desktop-file-utils.

* Mon Nov 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.4-0.fdr.1
- Updated to 0.4.4.

* Thu Oct 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.3-0.fdr.1
- Updated to 0.4.3.

* Mon Oct 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.1-0.fdr.1
- Updated to 0.4.1.

* Fri Oct 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.4.0-0.fdr.1
- Updated to 0.4.0.

* Wed Oct 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.3.8-0.fdr.1
- Updated to 0.3.8.

* Tue Sep 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.3.7-0.fdr.3
- Correction in %%defattr.
- Improved Summary.
- Source now direct downloadable.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.3.7-0.fdr.2
- epoch added to versioned req.

* Thu Sep 18 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.3.7-0.fdr.1
- Initial Fedora Release.
